<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
NullaryQuaternaryOperator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.compose.NullaryQuaternaryOperator class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="NullaryQuaternaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NullaryQuaternaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="class in ch.javasoft.math.operator.compose"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NullaryQuaternaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator.compose</FONT>
<BR>
Class NullaryQuaternaryOperator&lt;T extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator">ch.javasoft.math.operator.AbstractQuaternaryOperator</A>&lt;T,A&gt;
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.operator.compose.NullaryQuaternaryOperator&lt;T,A&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;T,A&gt;, <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;T,A&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../src-html/ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#line.53"><B>NullaryQuaternaryOperator&lt;T extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</B></A><DT>extends <A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator">AbstractQuaternaryOperator</A>&lt;T,A&gt;</DL>
</PRE>

<P>
The <code>NullaryQuaternaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>QuaternaryOperator</CODE></A> instance. It is thus itself a quaternary operator:
 <pre>
   this.operate(x1, x2, x3, x4) = ( operand1.operate() &oplus; operand2.operate(x1, x2, x3, x4) )
 </pre>
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#NullaryQuaternaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.QuaternaryOperator)">NullaryQuaternaryOperator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;ops,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operator,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand1,
                                                   <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#operate(A, int, A, int, A, int, A, int, A, int)">operate</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand1,
               int&nbsp;index1,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand2,
               int&nbsp;index2,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand3,
               int&nbsp;index3,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand4,
               int&nbsp;index4,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#operate(T, T, T, T)">operate</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand1,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand2,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand3,
               <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand4)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two operands and returns the 
 result:</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.operator.AbstractQuaternaryOperator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.math.operator.<A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator">AbstractQuaternaryOperator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html#getOperandCount()">getOperandCount</A>, <A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html#operate(int, A[], int[], A, int)">operate</A>, <A HREF="../../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html#operate(int, T...)">operate</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NullaryQuaternaryOperator(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.operator.BinaryOperator, ch.javasoft.math.operator.NullaryOperator, ch.javasoft.math.operator.QuaternaryOperator)"><!-- --></A><H3>
NullaryQuaternaryOperator</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#line.60"><B>NullaryQuaternaryOperator</B></A>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;ops,
                                 <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operator,
                                 <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand1,
                                 <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>,<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&gt;&nbsp;operand2)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="operate(java.lang.Number,java.lang.Number,java.lang.Number,java.lang.Number)"><!-- --></A><A NAME="operate(T, T, T, T)"><!-- --></A><H3>
operate</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#line.66"><B>operate</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand1,
                 <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand2,
                 <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand3,
                 <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">T</A>&nbsp;operand4)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html#operate(T, T, T, T)">QuaternaryOperator</A></CODE></B></DD>
<DD>Performs the binary operation &oplus; on two operands and returns the 
 result:
 <pre>
   return = &oplus; ( operand1 , operand2 , operand3 )
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>operand1</CODE> - the first operand to operate on<DD><CODE>operand2</CODE> - the second operand to operate on<DD><CODE>operand3</CODE> - the third operand to operate on<DD><CODE>operand4</CODE> - the fourth operand to operate on
<DT><B>Returns:</B><DD>the result of the binary operation</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,java.lang.Object,int,java.lang.Object,int,java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="operate(A, int, A, int, A, int, A, int, A, int)"><!-- --></A><H3>
operate</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html#line.71"><B>operate</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand1,
                    int&nbsp;index1,
                    <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand2,
                    int&nbsp;index2,
                    <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand3,
                    int&nbsp;index3,
                    <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;operand4,
                    int&nbsp;index4,
                    <A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="type parameter in NullaryQuaternaryOperator">A</A>&nbsp;dst,
                    int&nbsp;dstIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html#operate(A, int, A, int, A, int, A, int, A, int)">QuaternaryOperator</A></CODE></B></DD>
<DD>Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:
 <pre>
   dst[dstIndex] = &oplus; ( operand1[index1] , operand2[index2] , operand3[index3] , operand4[index4] )
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>operand1</CODE> - the first operand array<DD><CODE>index1</CODE> - the index in the first operand's array<DD><CODE>operand2</CODE> - the second operand array<DD><CODE>index2</CODE> - the index in the second operand's array<DD><CODE>operand3</CODE> - the third operand array<DD><CODE>index3</CODE> - the index in the third operand's array<DD><CODE>operand4</CODE> - the fourth operand array<DD><CODE>index4</CODE> - the index in the fourth operand's array<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NullaryQuaternaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="class in ch.javasoft.math.operator.compose"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NullaryQuaternaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
